# H245_EncryptionMode Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_h233Encryption }

## Public Member Functions

| H245_EncryptionMode (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_EncryptionMode::Choices

Enumerator:

  e_nonStandard |
  e_h233Encryption |

## Constructor & Destructor Documentation

H245_EncryptionMode::H245_EncryptionMode | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_EncryptionMode::operator H245_NonStandardParameter & | ( |  | ) |

H245_EncryptionMode::operator const H245_NonStandardParameter & | ( |  | ) | const

PBoolean H245_EncryptionMode::CreateObject | ( |  | ) |

PObject* H245_EncryptionMode::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h